Core - Task # 27673

Feature # 25397 (Closed): Adding XLIFF support as the default format for translation

Status: Closed Priority: Must have
Author: Xavier Perseguers Category: Default

Created: 2011-06-24 Assigned To: Xavier Perseguers
Updated: 2013-06-01 Due date:

TYPO3 Version: 4.6

PHP Version: 53

Complexity:

Sprint Focus:

Subject: Add Parser for PHP locallang array

Description

Implement the PHP locallang array parser based on code from t3lib_div::readLLPHPfile()

Associated revisions

Revision 3e26b75a - 2011-06-26 14:01 - Xavier Perseguers

[TASK] Add Parser for PHP locallang array

Implement the parser to support LLPHP file as localization file format.

Change-Id: 14e4d66e73d92eae57663b8e905db33a17da5ch2a

Resolves: #27673

Revision 5ffccffe - 2011-07-06 12:03 - Xavier Perseguers

[FEATURE] Add Parser for PHP locallang array

Implement the parser to support LLPHP file as localization file format.

Change-Id: 14e4d66e73d92eae57663b8e905db33a17da5ch2a

Resolves: #27673
Reviewed-on: http://review.typo3.org/2903

Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert
Reviewed-by: Dmitry Dulepov
Tested-by: Dmitry Dulepov
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 8d6e901a - 2011-07-08 15:57 - Dominique Feyer

[BUGFIX] getLLL needs to fallback to default language

Change-Id: 1592cbcbbfa60d08ddd7ebf928136a8b9c4fbe1da

Resolves: #27673
Reviewed-on: http://review.typo3.org/3127
Reviewed-by: Georg Ringer
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History

#1 - 2011-06-24 09:03 - Xavier Perseguers
- Tracker changed from Bug to Task

#2 - 2011-06-24 09:04 - Mr. Hudson

Patch set 1 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.org/2903

#3 - 2011-06-24 09:05 - Xavier Perseguers

- Status changed from New to Under Review
#4 - 2011-06-26 14:30 - Xavier Perseguers

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3e26b75abc7a9af5185314c9fec947ce67f780cd.

#5 - 2011-06-26 16:36 - Xavier Perseguers
- Status changed from Resolved to Under Review
- % Done changed from 100 to 0

Well, | don't understand how status has been changed because | did not write previous comment. Anyway, this patch has not been submitted and is

still under review in Gerrit.

@Steffen: Could you please describe how to reproduce the problem you face? Don't have it myself.

#6 - 2011-06-26 19:34 - Steffen Gebert

Oh, that's really weird.. Don't understand, why forge closes an issue. We should keep an eye on this!

Install EXT:dr_wiki and reload the backend. This triggers the error (even without this patch). I'll file a new issue, as | now found out, how to reproduce.

#7 - 2011-06-26 19:36 - Steffen Gebert

Sorry, stupid.. forget.. | suggest to handle it within this issue, as it's only reproducible with this change.

#8 - 2011-06-27 00:14 - Mr. Hudson

Patch set 1 of change 16e7f3abc02c¢9121c3600076d0c6c2e4d092af41b has been pushed to the review server.
It is available at http://review.typo3.0rg/2929
#9 - 2011-06-27 00:42 - Mr. Hudson

Patch set 1 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.

It is available at http://review.typo3.0rg/2930

#10 - 2011-06-27 10:00 - Mr. Hudson

Patch set 2 of change 16e7f3abc02c¢9121¢3600076d0c6c2e4d092af41b has been pushed to the review server.

It is available at http://review.typo3.org/2929

#11 - 2011-06-27 10:09 - Mr. Hudson

Patch set 2 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.

It is available at http://review.typo3.0rg/2930

#12 - 2011-06-27 10:11 - Mr. Hudson

Patch set 3 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.

It is available at http://review.typo3.0rg/2930

#13 - 2011-06-27 10:42 - Mr. Hudson

Patch set 4 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.

It is available at http://review.typo3.0rg/2930

#14 - 2011-06-27 11:18 - Mr. Hudson

Patch set 5 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.

It is available at http://review.typo3.0rg/2930

#15 - 2011-06-27 11:42 - Mr. Hudson

Patch set 6 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.

It is available at http://review.typo3.0rg/2930

#16 - 2011-06-27 11:53 - Mr. Hudson

Patch set 7 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.

It is available at http://review.typo3.0rg/2930

#17 - 2011-06-27 13:04 - Mr. Hudson

Patch set 8 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.

It is available at http://review.typo3.0rg/2930
#18 - 2011-06-27 14:14 - Mr. Hudson

Patch set 9 of change 1a59a77757112bccbf7a53ebeec71928f06ebe02a has been pushed to the review server.
It is available at http://review.typo3.org/2930

#19 - 2011-06-27 16:00 - Mr. Hudson

Patch set 1 of change le4b4146¢7e0989093d0e57a0f63d4723a2¢90f33 has been pushed to the review server.
It is available at http://review.typo3.org/2932

#20 - 2011-06-27 16:01 - Mr. Hudson

Patch set 2 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.0rg/2903

#21 - 2011-06-28 09:13 - Mr. Hudson

Patch set 3 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.0rg/2903

#22 - 2011-06-29 22:05 - Mr. Hudson

Patch set 4 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.0rg/2903

#23 - 2011-06-29 22:39 - Steffen Gebert

- File error.png added

Ends up with a PHP warning:

PHP Warning: Invalid argument supplied for foreach() in
/opt/local/apache2/vhosts/master/typo3_src/typo3/sysext/lang/classes/parser/class.tx_lang_parser_liphp.php line 121

error.png

#24 - 2011-06-29 22:40 - Steffen Gebert

It's because the second entry (which is weird..) in SLOCAL_LANG is null.

#25 - 2011-07-04 21:41 - Mr. Hudson

Patch set 5 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.0rg/2903

2015-08-04 4/5


http://review.typo3.org/2930
http://review.typo3.org/2932
http://review.typo3.org/2903
http://review.typo3.org/2903
http://review.typo3.org/2903
http://review.typo3.org/2903

#26 - 2011-07-05 09:03 - Mr. Hudson

Patch set 6 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.org/2903

#27 - 2011-07-05 11:25 - Steffen Gebert

- File fallback.png added

Fallback doesn't work, see e.g. EXT:quickpoll

fallback.png

#28 - 2011-07-05 16:49 - Mr. Hudson

Patch set 7 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.0rg/2903

#29 - 2011-07-05 17:43 - Mr. Hudson

Patch set 8 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.0rg/2903

#30 - 2011-07-06 09:21 - Mr. Hudson

Patch set 9 of change 14e4d66e73d92eae57663b8e905db33a17da5ch2a has been pushed to the review server.
It is available at http://review.typo3.org/2903

#31 - 2011-07-06 12:30 - Xavier Perseguers
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:5ffccffe7e4ed5ab3f5ee18c01741a55af0e303a.

#32 - 2012-03-07 13:33 - Xavier Perseguers
- Status changed from Resolved to Closed

#33 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1281)

Files
error.png 160.9 kB 2011-06-29 Steffen Gebert
fallback.png 42.3kB 2011-07-05 Steffen Gebert
